Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
LockFactory.h File Reference
`#include "LuceneObject.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::LockFactory
| Base class for Locking implementation. Directory uses instances of this class to implement locking. Note that there are some useful tools to verify that your LockFactory is working correctly: {}, LockStressTest}, { LockVerifyServer}. More...

## Namespaces

| Lucene

clucene.sourceforge.net